uniform float	weight;

varying vec3 L;
varying vec3 N;
varying vec3 P;

varying vec4 ProjShadow;

attribute vec3 vert2;
attribute vec3 norm2;

void main(void)
{
	vec4 vert = mix(gl_Vertex, vec4(vert2, 1.0), weight);
	vec3 norm = mix(gl_Normal, norm2, weight);
	
	P = vec3(gl_ModelViewMatrix * vert);
	
	L = normalize(gl_LightSource[0].position.xyz-vert.xyz);
	
	N = normalize(gl_NormalMatrix * norm);
    
    gl_TexCoord[0]	= gl_MultiTexCoord0;

	ProjShadow = gl_TextureMatrix[0] * vert;
	
	gl_ClipVertex = gl_ModelViewMatrix * vert;
 	
 	gl_Position = gl_ModelViewProjectionMatrix * vert;
}
